1. g2racer's Avatar
    All right, I'm counting on all you tech gurus on this -- I know there are so many similar posts to this, but seems like there are always some unique factors... Here are mine:

    3GS currently jailbroken on 3.1.2 via Blackra1n
    Want to preserve baseband (or is it a big deal if you're not unlocking? I'm on AT&T and don't plan on it.)
    My SHSH blobs available: 3.1.2 - 4.3.5
    Getting "unknown errors" 1600 and 2010 during custom Pwnage 4.3.3 restore through iTunes, even when correctly in DFU mode.
    I'd like to stay untethered, so even if I could just get to factory 4.3.3, I'd be okay with using jailbreakme.com later.

    Questions:
    1. Should I restore/un-jailbreak to factory 3.1.2 settings before upgrading? I have the .ipsw for it. If so, what's the best way?
    2. Better to use Pwnage or TinyUmbrella to get to 4.3.3 and keep current baseband?

    Thanks for the help... just looking for the cleanest way to get this done!
    2011-09-19 02:00 PM
  2. Simon's Avatar
    If you have no intention of unlocking then you can just restore to 4.3.3, it wont matter if you update your baseband since you are on official carrier. All you have to do is open tiny umbrella, click advanced and make sure the box that says "set hosts to cydia on exit" is checked. Then close tiny umbrella, put the phone into regular DFU mode and shift/option restore to 4.3.3. Once on 4.3.3 use jailbreakme.com or redsnow 0.9.9b1 to jailbreak.
    2011-09-19 04:27 PM
  3. g2racer's Avatar
    Still getting "unknown error (2010)" when just trying to upgrade to factory 4.3.3. Do I need to update to 4.3.5 the legit way through iTunes first, then downgrade to 4.3.3 with Pwnage or TU?

    Thanks.
    2011-09-20 09:17 AM
  4. Simon's Avatar
    No, you dont need to update to 4.3.5 first. Error 2010 you say? I have never heard of that one before.
    2011-09-20 04:23 PM
  5. g2racer's Avatar
    No, you dont need to update to 4.3.5 first. Error 2010 you say? I have never heard of that one before.
    Yeah, I can't seem to find anyone/any instance where that same code is popping up... Even searching Google/YouTube.

    Other issues this morning as I'm trying multiple routes:
    Can't get the server to run on TU. I click it but nothing changes.
    Second, Pwnage isn't recognizing my 4.1 ipsw at all, telling me it's not the correct firmware, even though I have correct SHSH.

    Let me ask you this; let's say I do just update legit and go to 4.3.5, baseband and all, through iTunes. Technically, I should be able to get down to 4.1 with some utility, be it Pwnage, redsn0w, etc., yes? What's the cleanest route for that?

    Thanks Simon.
    2011-09-20 06:22 PM
  6. Simon's Avatar
    Did you uncheck the box in tiny umbrella like I said to do?
    2011-09-20 06:25 PM
  7. g2racer's Avatar
    Actually, you said to "check" it ^^^^
    2011-09-20 09:02 PM
  8. Simon's Avatar
    Sorry, thats what I meant. Did you check it then close tiny umbrella before trying to restore?
    2011-09-20 09:03 PM
LINK TO POST COPIED TO CLIPBOARD